/*
 *     DOMUnparser.java  Mar 24, 2004
 *
 *     Katsuhisa Maruyama (maru@jtool.org)
 */

package org.jtool.platform.xml.dom;
import org.jtool.platform.util.*;
import java.io.*;
import javax.xml.parsers.*;
import org.w3c.dom.*;
import org.xml.sax.InputSource;

public class DOMUnparser {

    public static void main(String[] args) {
        if (args.length == 1) {
            try {
                String content = ReadFile.read(args[0]);
                Document doc = DOMTreeCreator.create(content);
                String code = DOM2Code.getCode(doc);

            } catch (IOException e) {
                return;
            }
        } else {
            System.err.println("Usage: java DOMUnparser xmlfile");
        }
    }
}
