/*
 *     JavaArgument.java  Jan 29, 2004
 *
 *     Katsuhisa Maruyama (maru@jtool.org)
 */

package org.jtool.platform.xml.wrapper;
import org.w3c.dom.*;
import java.util.*;

public class JavaArgument extends JavaExpr {

    protected JavaArgument() {
    }

    public JavaArgument(Node node) {
        super(node);
    }

    public String getTypeFqn() {
        ArrayList nodes = new ArrayList();
        collectValidNodesInExpr(elem, nodes);

        String type = "";
        Iterator it = nodes.iterator();
        while (it.hasNext()) {
            Element e = (Element)it.next();

            String ctype = getTypeFqn(e);
            if (ctype != null && ctype.length() != 0) {
                type = JavaType.wideningTypeInExpr(type, ctype);
            }
        }
        return type;
    }
}
